Subject: [OPSAWG] Suresh Krishnan's Discuss on draft-ietf-opsawg-capwap-alt-tunnel-11: (with DISCUSS)

From: Suresh Krishnan <[email-masked]>
Date: Wed, 24 Jan 2018 06:52:37 -0800

Suresh Krishnan has entered the following ballot position for
draft-ietf-opsawg-capwap-alt-tunnel-11: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-capwap-alt-tunnel/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

* Section 3.2.
This should be easy to resolve but I would like this to be disambiguated before
publication. RFC5844 specifies *two* different options for UDP encapsulation
IPv4-UDP and IPv4-UDP-TLV. Please clarify which of these modes is intended when
the Tunnel-Type is 4

4: PMIPv6-UDP.  This refers to the UDP tunneling encapsulation
         described in [RFC5844].

---

From: Duzongpeng <[email-masked]>
Date: Thu, 25 Jan 2018 03:05:46 +0000

Hi, Suresh Krishnan

	Thank you for propose the problem. 

	I have checked the RFC[5844]. It did mention two kinds of UDP Encapsulation Modes, IPv4-UDP and IPv4-UDP-TLV.

	However, in the Section 4 "IPv4 Transport Support", it said:

      *  IPv4-UDP-TLV (payload packet carried in an IPv4 packet with UDP
         and TLV header) and IPv4-GRE (Payload packet carried in an IPv4
         packet with GRE header).  Refer to [GREKEY].  If payload
         protection using IPsec is enabled, the ESP header follows the
         outer IPv4 header, as explained in Section 4.3.

	So, the IPv4-UDP-TLV is actually defined in [GREKEY], i.e. RFC [5845] named
	Generic Routing Encapsulation (GRE) Key Option for Proxy Mobile IPv6

	In RFC [5845], Figure 5 shows the "TLV-Header UDP-Based Encapsulation Header Order",

         [IPv4 Header]

         [UDP Header]

         [TLV Header]

         [GRE Header]

         [Payload - IPv6 or IPv4 Header]

         Upper Layer protocols

         Figure 5: TLV-Header UDP-Based Encapsulation Header Order

	Hence, in my understanding, Tunnel-Type is 4 means the IPv4-UDP Encapsulation Mode, not the IPv4-UDP-TLV Encapsulation Mode.

	To resolve the problem, I can update the draft if no objections.
	Old:
4: PMIPv6-UDP.  This refers to the UDP tunneling encapsulation
         described in [RFC5844].
   New:
4: PMIPv6-UDP.  This refers to the IPv4-UDP tunneling encapsulation
         described in [RFC5844].

	If any future problems, please connect me. Thanks.

Best Regards
Zongpeng Du

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]] 
Sent: Wednesday, January 24, 2018 10:53 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; Tianran Zhou <[email-masked]>; [email-masked]; [email-masked]; Tianran Zhou <[email-masked]>; [email-masked]
Subject: Suresh Krishnan's Discuss on draft-ietf-opsawg-capwap-alt-tunnel-11: (with DISCUSS)

* Section 3.2.